Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000429SpeedFanHardware supportpublic2005-12-17 17:532008-08-20 18:23
Reporterworf 
Assigned Toalfredo 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMSI K7N2Delta-L (AMD 462)OSWindows XPOS VersionSP2
Product Version4.27 
Target VersionFixed in Version4.35 
Summary0000429: Mouse and keyboard show no reaction in DOS applications running grafic mode
DescriptionIf I start a DOS (yes I mean DOS :-) application that switch to grafic mode then mouse and keyboard show no reaction in that application. Terminating Speedfan do not fix the problem: I have to reboot (without Speedfan).

I found this problem on 2 systems (running WinXP SP2):
1) MSI K7N2Delta-L (AMD 462), NVidia GeForce2 MX, Winbond W83697(T)HF ISA
2) ASRock K7S41GX (AMD 462), OnBoard SiS 741, Winbond W83697(T)HF ISA

P.S.:
I have deactivated SMBus in options menu.

This is Speedfan information of system 1:
Win9x:NO 64Bit:NO GiveIO:YES SpeedFan:YES
I/O properly initialized
Linked ISA BUS at $0290
Linked nVidia nForce2 SMBUS at $5000
Linked nVidia nForce2 SMBUS at $5040
Found nVidia GeForce2 MX / MX 400
Linked nVidiaI2C0 SMBUS at $3D403E3F
Linked nVidiaI2C1 SMBUS at $3D403637
Scanning ISA BUS at $0290...
Winbond W83627HF (ID=$21) found on ISA at $290
SuperIO Chip=Winbond W83627HF
Scanning nForce2 SMBus at $5000...
Address $31 appears to be WRITE ONLY...
Scanning nForce2 SMBus at $5040...
Scanning I2CNVidia SMBus at $3D403E3F...
Scanning I2CNVidia SMBus at $3D403637...
SMART Enabled for drive 0
Found FUJITSU MPF3204AT (20.5GB)
SMART Enabled for drive 1
Found IBM-DTLA-305040 (41.2GB)
Found ACPI temperature (42.5C)
End of detection

This is Speedfan information if system 2:
Win9x:NO 64Bit:NO GiveIO:YES SpeedFan:YES
I/O properly initialized
Linked ISA BUS at $0290
Scanning ISA BUS at $0290...
Winbond W83697HF (ID=$60) found on ISA at $290
SuperIO Chip=Winbond W83697HF
SMART Enabled for drive 0
Found ExcelStor Technology J880 (82.3GB)
End of detection
Steps To ReproduceI can reproduce this problem anytime: If Speedfan is/was running I have to reboot to get my DOS applications to work.
TagsNo tags attached.
Motherboard Model
Video Card ModelNVidia GeForce2 MX
Attached Files

- Relationships
related to 0001889resolvedalfredo DOS mouse/keyboard blocked 
related to 0002622resolvedalfredo DOS mouse/keyboard blocked 

-  Notes
(0001435)
worf (reporter)
2005-12-19 08:23

I tried following:
D:\Programme\System\SpeedFan\speedfan.exe /NOPCISCAN /NOSMBSCAN /NOSUPERIO /NOSCSISCAN /NOTOSHIBA /NOASUSSCAN /NONVIDIAI2C
But did not fix my problem.
(0001497)
alfredo (manager)
2006-02-07 16:56

Remove or rename GIVEIO.SYS file in c:\windows\system32 and restart SpeedFan.
(0001500)
worf (reporter)
2006-02-07 18:43

What does GIVEIO.SYS do and can I remove it without getting problems with other software ?
(0001801)
Steff (reporter)
2006-07-10 14:16
edited on: 2006-07-10 15:07

for my part, i removed giveio.sys, restarted and still get the message in the log windows, "GIVEIO:YES", so I still cant start my dos programs in Full Screen. Only resolvealbe with deinstalling speedfan. Besides, it is v4.28

Greetings,
Steff

ps: hope this can be resolved, speedfan is a great program!

ps2: when installing, i get the message: giveio service alrteady running", although it is for 100% not started.

(0002059)
alfredo (manager)
2006-09-29 10:28

Steff, some other tool must have installed GIVEIO.SYS somewhere else in your system.
(0004032)
alfredo (manager)
2008-08-20 18:23

Run SpeedFan with /NOGIVEIO command line switch.

- Issue History
Date Modified Username Field Change
2005-12-17 17:53 worf New Issue
2005-12-17 17:53 worf Video Card Model => NVidia GeForce2 MX
2005-12-19 08:23 worf Note Added: 0001435
2006-02-07 16:56 alfredo Note Added: 0001497
2006-02-07 16:56 alfredo Status assigned => acknowledged
2006-02-07 18:43 worf Note Added: 0001500
2006-07-10 14:16 Steff Note Added: 0001801
2006-07-10 15:07 Steff Note Edited: 0001801
2006-09-29 10:28 alfredo Note Added: 0002059
2008-08-20 18:23 alfredo Note Added: 0004032
2008-08-20 18:23 alfredo Status acknowledged => resolved
2008-08-20 18:23 alfredo Resolution open => fixed
2008-08-20 18:23 alfredo Fixed in Version => 4.35
2011-10-19 14:02 alfredo Relationship added related to 0001889


Copyright © 2000 - 2018 MantisBT Team
Time: 0.2878 seconds.
memory usage: 8,100 KB
Powered by Mantis Bugtracker